" FILE: Lgrep.vim
" AUTHOR:  yuratomo
" Last Modified: 05 Feb 2012.
" Version: 0.0.1

if exists('g:Lgrep_loaded') && g:Lgrep_loaded == 1
  finish
endif

command! -nargs=* Lgrep :call Lgrep#DoGrep(<f-args>)
command! -nargs=0 UpdateQuickFix :call Lgrep#UpdateQuickFix()

function! Lgrep#DoGrep(...)
  let g:temp_file=tempname()
  silent exe '!start /MIN cmd /c findstr /n '.join(a:000,' ').'>'.g:temp_file.' & gvim --cmd "call remote_expr('."'".v:servername."','"."GrepPostProc()"."'".')" --cmd ":q" --'
endfunction

function! GrepPostProc()
  if exists('g:temp_file')
    echo "find ".split(tr(system('find /C /V "" '.g:temp_file),"\n",' '),' ')[2]." items."
  endif
endfunction

function! Lgrep#UpdateQuickFix()
  if exists('g:temp_file')
    exe 'cgetfile '.g:temp_file
    cw
    unlet g:temp_file
  endif
endfunction

let g:Lgrep_loaded = 1
